| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::detail::GraphCutSeamFinder Class Reference
Images stitching » Seam Estimation

Minimum graph cut-based seam estimator. See details in [153] . More...

`#include <opencv2/stitching/detail/seam_finders.hpp>`

Collaboration diagram for cv::detail::GraphCutSeamFinder:

## Public Member Functions
| GraphCutSeamFinder (int cost_type=COST_COLOR_GRAD, float terminal_cost=10000.f, float bad_region_penalty=1000.f)
| GraphCutSeamFinder (String cost_type, float terminal_cost=10000.f, float bad_region_penalty=1000.f)
| ~GraphCutSeamFinder ()
void | find (const std::vector< UMat > &src, const std::vector< Point > &corners, std::vector< UMat > &masks) CV_OVERRIDE
| Estimates seams.
Public Member Functions inherited from cv::detail::SeamFinder
virtual | ~SeamFinder ()

## Additional Inherited Members
Public Types inherited from cv::detail::GraphCutSeamFinderBase
enum | CostType { COST_COLOR , COST_COLOR_GRAD }
Public Types inherited from cv::detail::SeamFinder
enum | { NO , VORONOI_SEAM , DP_SEAM }
Static Public Member Functions inherited from cv::detail::SeamFinder
static Ptr< SeamFinder > | createDefault (int type)

## Detailed Description

Minimum graph cut-based seam estimator. See details in [153] .

## Constructor & Destructor Documentation

## ◆ GraphCutSeamFinder() [1/2]

cv::detail::GraphCutSeamFinder::GraphCutSeamFinder | ( | int | cost_type = COST_COLOR_GRAD,
|  | float | terminal_cost = 10000.f,
|  | float | bad_region_penalty = 1000.f )

Python:
| cv.detail.GraphCutSeamFinder( | cost_type[, terminal_cost[, bad_region_penalty]] | ) -> | <detail_GraphCutSeamFinder object>

## ◆ GraphCutSeamFinder() [2/2]

cv::detail::GraphCutSeamFinder::GraphCutSeamFinder | ( | String | cost_type,
|  | float | terminal_cost = 10000.f,
|  | float | bad_region_penalty = 1000.f )

Python:
| cv.detail.GraphCutSeamFinder( | cost_type[, terminal_cost[, bad_region_penalty]] | ) -> | <detail_GraphCutSeamFinder object>

## ◆ ~GraphCutSeamFinder()

cv::detail::GraphCutSeamFinder::~GraphCutSeamFinder | ( |  | ) |

## Member Function Documentation

## ◆ find()

void cv::detail::GraphCutSeamFinder::find | ( | const std::vector< UMat > & | src,
|  | const std::vector< Point > & | corners,
|  | std::vector< UMat > & | masks )
| virtual

Python:
| cv.detail.GraphCutSeamFinder.find( | src, corners, masks | ) -> | masks

Estimates seams.

Parameters

  src | Source images
  corners | Source image top-left corners
  masks | Source image masks to update

Implements cv::detail::SeamFinder.

The documentation for this class was generated from the following file:

- opencv2/stitching/detail/seam_finders.hpp